Bug 125603 - Normal user can not poweroff/restart the box.
Normal user can not poweroff/restart the box.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-doc (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 05:05 EDT by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 07:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-06-09 05:05:38 EDT
Description of problem:
After latest upgrade to latest FC2 .rpms ("apt-get upgrade") normal
users can not issue a "poweroff" command.

Version-Release number of selected component (if applicable):
libselinux-1.13.2-1
libselinux-devel-1.13.2-1
selinux-doc-1.10-1

How reproducible:
Always.

Steps to Reproduce:
1. Install FC2;
2. Upgrade the system with "apt-get upgrade";
3. Log in as normal user and issue "poweroff";

Actual results:

[ivo@sarmax ivo]$ poweroff
Could not set exec context to ivo:sysadm_r:sysadm_t.
[ivo@sarmax ivo]$

Expected results:
System going down.



Additional info:

I find it odd that if the user should press the "ctrl+alt+del" then it
will reboot the box, but issuing "poweroff" is not accepted.

Why the SELinux is active despite /etc/sysconfig/selinux has
"SELINUX=disabled"?
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=122189
Comment 1 Ivo Sarak 2004-06-16 06:29:45 EDT
It was indeed related to SELinux and with 122189 being fixed, it is
working now.

Note You need to log in before you can comment on or make changes to this bug.